ATSUI Fonts
3
PANGO Library

# ATSUI Fonts

Font handling with ATSUI fonts

## Synopsis

    #define             PANGO_RENDER_TYPE_ATSUI
    ATSUFontID          pango_atsui_font_get_atsu_font_id   (PangoATSUIFont *font);

## Description

The macros and functions in this section are used to access fonts natively on MacOS systems using the ATSUI text rendering subsystem.

## Details

### PANGO_RENDER_TYPE_ATSUI

    #define PANGO_RENDER_TYPE_ATSUI "PangoRenderATSUI"

A string constant identifying the ATSUI renderer. The associated quark (see `g_quark_from_string()`) is used to identify the renderer in `pango_find_map()`.

### pango_atsui_font_get_atsu_font_id ()

    ATSUFontID          pango_atsui_font_get_atsu_font_id   (PangoATSUIFont *font);

Returns the ATSUFontID of a font.

`font` :

  A PangoATSUIFont

Returns :

  the ATSUFontID associated to `font`.

Since 1.18